Veins not working in Omnet 5.

249 views
Skip to first unread message

Ammar moin

unread,
May 5, 2018, 5:38:17 PM5/5/18
to OMNeT++ Users
I have Omnet 5.0, veins 4.6. I am trying to import veins in Omnet and trying to run the example of veins as instructed in tutorial http://veins.car2x.org/tutorial/ . 
  • I have imported in samples and when build the project I get the error"Error refreshing Makefiles Reason: Cannot parse /veins/.oppbuildspec ". 
  • When Run as >Omnet Simulator I get error " Cannot launch simulation: no execution found in project veins. To specify a shared library to be run with opp_run, open RUN|RUN Confg".
I have tried possible solutions but could not pass that. 
changing (Folder: veins-4.6 to veins) and many more.

Are there any other solutions?
Kindly help me with these problem.

Michael Kirsche

unread,
May 5, 2018, 6:17:32 PM5/5/18
to OMNeT++ Users
From the Changelog of Veins 4.6: "Requires OMNeT++ 5.1.1"
Your OMNeT version is too old.

Ammar moin

unread,
May 5, 2018, 6:33:05 PM5/5/18
to OMNeT++ Users
Thanks for the reply,
I had worked on Omnet 5.1.1 and 5.2.1 and I was still getting that error so I have shifted to 5.0.
and for additional info I am working on windows 10.
My colleague had Omenet 4.0 installed on windows 10 and his project was running.
Now I am trying to work with veins 3.0. Hope it will work.
I am trying to get hold on Omnet 4.0.  
If I install windows 7 x86, will veins 4.6 be running on Omnet 5+.

Christoph Sommer

unread,
May 6, 2018, 6:16:56 AM5/6/18
to omn...@googlegroups.com
Ammar moin wrote:
>
> If I install windows 7 x86, will veins 4.6 be running on Omnet 5+.

If installing Veins is giving you any problems, you might want to give Instant Veins a try. It's a virtual appliance of Veins that has all required software already included. You can find its description and download links at http://veins.car2x.org/documentation/instant-veins/

Best,

Christoph

--
Jun.-Prof. Dr.-Ing. Christoph Sommer
Cooperative Mobile Systems (CCS Labs)
Heinz Nixdorf Institute, Paderborn University, Germany
http://www.ccs-labs.org/~sommer/

Ammar moin

unread,
May 8, 2018, 1:00:39 PM5/8/18
to OMNeT++ Users
Prof. Christoph thanks for all the concern. I have downloaded instant veins but dont know how to use it.. as other veins have tutorials but instant dont have that specific.  
Can you specify any link for tutorials?
 Thanks in advance for you reply.

Christoph Sommer

unread,
May 8, 2018, 1:07:03 PM5/8/18
to omn...@googlegroups.com
Ammar moin wrote:
>
> I have downloaded instant veins but dont know how to use it..

there's a video on http://veins.car2x.org/documentation/instant-veins/

It graphically shows how to install, set up, and boot the machine. Then, it shows how to start OMNeT++ and the Veins example simulation.

Ammar moin

unread,
May 8, 2018, 1:14:03 PM5/8/18
to omn...@googlegroups.com
Thanks alot...

--
You received this message because you are subscribed to a topic in the Google Groups "OMNeT++ Users" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/omnetpp/hHiaBZ2xGm0/unsubscribe.
To unsubscribe from this group and all its topics, send an email to omnetpp+unsubscribe@googlegroups.com.
Visit this group at https://groups.google.com/group/omnetpp.
For more options, visit https://groups.google.com/d/optout.

min wang

unread,
May 12, 2019, 6:53:43 AM5/12/19
to OMNeT++ Users
Today I get the same problem as follow:
error"Error refreshing Makefiles Reason: Cannot parse /veins/.oppbuildspec ". 
Anyone knows how to solve it?


在 2018年5月6日星期日 UTC+8上午5:38:17,Ammar moin写道:

Eduardo Cooper

unread,
May 12, 2019, 11:08:40 AM5/12/19
to OMNeT++ Users
Your OmNet++ and Veins versions might not be compatible, furthermore, your SUMO version might not be compatible either with those two. Check this answer to see if it applies to you:
Reply all
Reply to author
Forward
0 new messages